Bug 720140 - Modify FindDCMTK.cmake to enable us to use the fedora DCMTK package
Summary: Modify FindDCMTK.cmake to enable us to use the fedora DCMTK package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Ginkgo-CADx
TreeView+ depends on / blocked
 
Reported: 2011-07-10 07:28 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-08-28 05:24 UTC (History)
4 users (show)

Fixed In Version: cmake-2.8.5-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-28 05:24:20 UTC
Type: ---


Attachments (Terms of Use)
patch to add path to FindDCMTK.cmake (400 bytes, patch)
2011-07-10 07:28 UTC, Ankur Sinha (FranciscoD)
no flags Details | Diff
updated patch (2.16 KB, patch)
2011-07-27 19:18 UTC, Ankur Sinha (FranciscoD)
no flags Details | Diff

Description Ankur Sinha (FranciscoD) 2011-07-10 07:28:08 UTC
Created attachment 512061 [details]
patch to add path to FindDCMTK.cmake

Description of problem:
The current FindDCMTK.cmake file does not include the %{_libdir}/dcmtk path. Therefore, projects needing DCMTK fail to find DCMTK.

Attached is a patch that the DCMTK maintainer sent me. However, it needs to include %{_libdir}/dcmtk/ instead of "lib" or "lib64". I don't know how to do this though. 

Can you please push a small update so we could build packages. It'll be needed in rawhide, f15 and f14.

Comment 1 Orion Poplawski 2011-07-22 22:51:26 UTC
Could you please file a bug upstream: http://public.kitware.com/Bug/my_view_page.php ?  Thanks.

Comment 2 Orion Poplawski 2011-07-22 23:00:13 UTC
I'm building cmake-2.8.5-2.fc16 in rawhide.  Can you test that please when it finishes?

Comment 3 Ankur Sinha (FranciscoD) 2011-07-27 19:18:08 UTC
Created attachment 515581 [details]
updated patch

Hi Orion,

I'm afraid the previous patch wasn't enough. I've dug in and created this new patch. I've built it in koji here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3234378

I've successfully built a package that needed dcmtk using the updated rpm with this patch :)

I've found a few bugs related to cmake on the dcmtk site. I'm going through them and will submit this patch upstream also. If there's something wrong with it, they'll know how to fix it :D

Thanks for looking into this. 
Ankur

Comment 4 Orion Poplawski 2011-07-27 20:03:21 UTC
Ankur -

  As I understand it, cmake automatically replaces "lib" with "lib64" as needed.  Could you try out a version without the /usr/lib64/... path and check?

Comment 5 Ankur Sinha (FranciscoD) 2011-07-28 14:04:38 UTC
(In reply to comment #4)
> Ankur -
> 
>   As I understand it, cmake automatically replaces "lib" with "lib64" as
> needed.  Could you try out a version without the /usr/lib64/... path and check?

Hey Orion,

I was trying to this when I realized I wouldn't be able to. I need to test this for x86_64. I only have a mock i386 rawhide configuration, and I can't run chain builds on koji for cmake and Ginkgo-CADx(uses dcmtk). Could you please try this out?

Sorry :/

The gingko-cadx srpm is here:
http://ankursinha.fedorapeople.org/ginkgocadx/Ginkgo-CADx-2.5.2.0-1.fc15.src.rpm

Regards,
Ankur

Comment 6 Orion Poplawski 2011-07-28 22:23:02 UTC
I went ahead and fired off a build with the lib64 line removed:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3236551

When that is ready you can try a gingko-cadx rebuild.

Comment 7 Fedora Update System 2011-08-16 20:21:52 UTC
cmake-2.8.5-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cmake-2.8.5-3.fc16

Comment 8 Fedora Update System 2011-08-17 20:24:40 UTC
Package cmake-2.8.5-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-2.8.5-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cmake-2.8.5-3.fc16
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-08-28 05:24:15 UTC
cmake-2.8.5-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.